### Class

# Phosh BackgroundImage

#### Description [src]

    final class Phosh.BackgroundImage : GObject.Object
      implements Gio.AsyncInitable, Gio.Initable {
      /* No available fields */
    }

An image for a `PhoshBackground` that can be loaded async via `PhoshBackgroundCache`.

#### Ancestors

- GObject

#### Implements

- GAsyncInitable
- GInitable

#### Constructors

###### phosh_background_image_new_finish

No description available.

###### phosh_background_image_new_sync

No description available.

#### Functions

###### phosh_background_image_new

No description available.

#### Instance methods

###### phosh_background_image_get_file

Gets the file the image was loaded from.

###### phosh_background_image_get_pixbuf

Gets the background image’s pixbuf.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GAsyncInitable (3)

###### g_async_initable_init_async

Starts asynchronous initialization of the object implementing the interface. This must be done before any real use of the object after initial construction. If the object also implements `GInitable` you can optionally call `g_initable_init()` instead.

###### g_async_initable_init_finish

Finishes asynchronous initialization and returns the result. See g_async_initable_init_async().

###### g_async_initable_new_finish

Finishes the async construction for the various g_async_initable_new calls, returning the created object or `NULL` on error.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

###### Phosh.BackgroundImage:file

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshBackgroundImageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.